<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\IOFactory</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_createReader" title="createReader ::Create Reader\IReader.">
            <span class="description">Create Reader\IReader.</span><pre>createReader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_createReaderForFile" title="createReaderForFile ::Create Reader\IReader for file using automatic Reader\IReader resolution.">
            <span class="description">Create Reader\IReader for file using automatic Reader\IReader resolution.</span><pre>createReaderForFile</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_createWriter" title="createWriter ::Create Writer\IWriter.">
            <span class="description">Create Writer\IWriter.</span><pre>createWriter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_identify" title="identify ::Identify file type using automatic Reader\IReader resolution.">
            <span class="description">Identify file type using automatic Reader\IReader resolution.</span><pre>identify</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_load" title="load ::Loads Spreadsheet from file using automatic Reader\IReader resolution.">
            <span class="description">Loads Spreadsheet from file using automatic Reader\IReader resolution.</span><pre>load</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_registerReader" title="registerReader ::Register a reader with its type and class name.">
            <span class="description">Register a reader with its type and class name.</span><pre>registerReader</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_registerWriter" title="registerWriter ::Register a writer with its type and class name.">
            <span class="description">Register a writer with its type and class name.</span><pre>registerWriter</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_getReaderTypeFromExtension" title="getReaderTypeFromExtension ::Guess a reader type from the file extension, if any.">
                                <span class="description">Guess a reader type from the file extension, if any.</span><pre>getReaderTypeFromExtension</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>IOFactory</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">Factory to create readers and writers easily.</p>
                <div class="details">
                    <div class="long_description"><p>It is not required to use this class, but it should make it easier to read and write files.
Especially for reading files with an unknown format.</p>
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_createReader"></a>
                        <div class="element clickable methodpublic method_createReader" data-toggle="collapse" data-target=".method_createReader .collapse">
                            <h2>Create Reader\IReader.</h2>
                            <pre>createReader(string $readerType): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$readerType</h4>
                                                <code>string</code><p><p>Example: Xlsx</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_createReaderForFile"></a>
                        <div class="element clickable methodpublic method_createReaderForFile" data-toggle="collapse" data-target=".method_createReaderForFile .collapse">
                            <h2>Create Reader\IReader for file using automatic Reader\IReader resolution.</h2>
                            <pre>createReaderForFile(string $filename): \PhpOffice\PhpSpreadsheet\Reader\IReader</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$filename</h4>
                                                <code>string</code><p><p>The name of the spreadsheet file</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_createWriter"></a>
                        <div class="element clickable methodpublic method_createWriter" data-toggle="collapse" data-target=".method_createWriter .collapse">
                            <h2>Create Writer\IWriter.</h2>
                            <pre>createWriter(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet,string $writerType): \PhpOffice\PhpSpreadsheet\Writer\IWriter</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$writerType</h4>
                                                <code>string</code><p><p>Example: Xlsx</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.IWriter.html">\PhpOffice\PhpSpreadsheet\Writer\IWriter</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getReaderTypeFromExtension"></a>
                        <div class="element clickable methodprivate method_getReaderTypeFromExtension" data-toggle="collapse" data-target=".method_getReaderTypeFromExtension .collapse">
                            <h2>Guess a reader type from the file extension, if any.</h2>
                            <pre>getReaderTypeFromExtension(string $filename): null|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$filename</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>null|string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_identify"></a>
                        <div class="element clickable methodpublic method_identify" data-toggle="collapse" data-target=".method_identify .collapse">
                            <h2>Identify file type using automatic Reader\IReader resolution.</h2>
                            <pre>identify(string $pFilename): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p><p>The name of the spreadsheet file to identify</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_load"></a>
                        <div class="element clickable methodpublic method_load" data-toggle="collapse" data-target=".method_load .collapse">
                            <h2>Loads Spreadsheet from file using automatic Reader\IReader resolution.</h2>
                            <pre>load(string $pFilename): \PhpOffice\PhpSpreadsheet\Spreadsheet</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFilename</h4>
                                                <code>string</code><p><p>The name of the spreadsheet file</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_registerReader"></a>
                        <div class="element clickable methodpublic method_registerReader" data-toggle="collapse" data-target=".method_registerReader .collapse">
                            <h2>Register a reader with its type and class name.</h2>
                            <pre>registerReader(string $readerType,string $readerClass)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$readerType</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$readerClass</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_registerWriter"></a>
                        <div class="element clickable methodpublic method_registerWriter" data-toggle="collapse" data-target=".method_registerWriter .collapse">
                            <h2>Register a writer with its type and class name.</h2>
                            <pre>registerWriter(string $writerType,string $writerClass)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$writerType</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$writerClass</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_readers"> </a>
                            <div class="element clickable propertyprivate property_readers" data-toggle="collapse" data-target=".property_readers .collapse">
                                <h2>readers</h2>
                                <pre>readers :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_writers"> </a>
                            <div class="element clickable propertyprivate property_writers" data-toggle="collapse" data-target=".property_writers .collapse">
                                <h2>writers</h2>
                                <pre>writers :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\IOFactory"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.IOFactory.html">IOFactory</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:57 +0000.<br/>
    </footer></body>
</html>
